#ifndef GAME_MATH_H
#define GAME_MATH_H

#include "types.h"

float VectorDot(VECTOR, VECTOR);
VECTOR VectorCross(VECTOR, VECTOR);
VECTOR VectorSub(VECTOR, VECTOR);
VECTOR VectorAdd(VECTOR, VECTOR);
VECTOR VectorMul(VECTOR, float);
VECTOR VectorNormalize(VECTOR);
VECTOR VectorNeg(VECTOR);
float VectorLength(VECTOR);
float VectorLengthSq(VECTOR);
int VectorEqual(VECTOR, VECTOR);
MATRIX MatrixMul(MATRIX, MATRIX);
MATRIX MatrixIdentity();
MATRIX VectorMatrix(VERTEX, VECTOR, VERTEX, VECTOR);
VECTOR VectorMatrixMul(VECTOR, MATRIX);

#endif
